# Uses of Class
org.eclipse.draw2d.text.LineBox

Packages that use LineBox
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of LineBox in org.eclipse.draw2d.text

Subclasses of LineBox in org.eclipse.draw2d.text
Modifier and Type
Class
Description
`class`
`LineRoot`
LineRoot is the top-most container on a line of text displayed in Draw2d.
`class`
`NestedLine`
Methods in org.eclipse.draw2d.text with parameters of type LineBox
Modifier and Type
Method
Description
`protected void`
InlineFlowLayout.`setupLine(LineBox line)`
Initializes the given LineBox.